Subject: Re: bug#16595: registers can now end up with non-character names

From: Leo Liu <[email-masked]>
Date: Fri, 31 Jan 2014 14:36:58 +0800

On 2014-01-31 10:51 +0800, Glenn Morris wrote:
> This is due to register-read-with-preview, which use read-event and does
> no sanity checking of the result. Why does it not use read-char?

It is due to handling help-event-list to allow f1 to manually bring up
the preview window, but this may not be important. Changing to read-char
looks fine to me.

> Also on this subject, register-preview-functions is undocumented and
>unused. Does it need to exist? Does it need to be a hook, as opposed to
>a -function variable? Should it not exist until there is a use-case for
>it?

This was left as a hook for registers-list.el (from ELPA). It seems
Bastien was going to do something with it. Bastien, what do you think?

It seems -hook or -function would be a better fit; the latter even
provides more flexibility with add-function

Leo